# Interface webdriver.http.Client

code »

Interface used for sending individual HTTP requests to the server.

Show:PublicProtectedPrivate

## Instance Methods

code » send ( request, callback )

Sends a request to the server. If an error occurs while sending the request, such as a failure to connect to the server, the provided callback will be invoked with a non-null `Error` describing the error. Otherwise, when the server's response has been received, the callback will be invoked with a null Error and non-null `webdriver.http.Response` object.

Parameters

request: `!webdriver.http.Request`
  The request to send.
callback: `function(Error, !webdriver.http.Response==)`
  the function to invoke when the server's response is ready.